FalconryScale
DevelopersAPI reference

List a raptor’s past moults

Returns a raptor's finished moults, most recent first, with start/end dates (ISO 8601) and end weight in grams.

GET
/raptors/{raptorId}/moult-history

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Clerk user API key or OAuth access token carrying the falconry:read and/or falconry:write scope.

Path Parameters

raptorId*string

A raptor's id, from list_raptors.

Lengthlength <= 64

Response Body

List a raptor’s past moults

application/json
  1. response
moults*array<>
Example Request
curl -X GET 'https://app.falconryscale.com/api/v1/raptors/string/moult-history'
Example Response
{
  "moults": [
    {
      "id": "string",
      "startedAt": "string",
      "endedAt": "string",
      "startWeightGrams": 0,
      "endWeightGrams": 0,
      "notes": "string"
    }
  ]
}